| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Fuse

# Method Fuse.run()

Method run

  `void run(Operations handler, array(string) args)`

Description

  Start fuse. Args is as in argv in main(). The first argument (argv[0], program name) is used as the filesystem name. The first non-flag argument after argv[0] is used as the mountpoint. Otherwise these arguments are supported:

           -d                  enable debug output (implies -f)
           -f                  foreground operation
           -s                  disable multithreaded operation
           -r                  mount read only (equivalent to '-o ro')
           -o opt,[opt...]     mount options
           -h                  print help

  Mount options:

           default_permissions    enable permission checking
           allow_other            allow access to other users
           allow_root             allow access to root
           kernel_cache           cache files in kernel
           large_read             issue large read requests (2.4 only)
           direct_io              use direct I/O
           max_read=N             set maximum size of read requests (default 128K)
           hard_remove            immediate removal (don't hide files)
           debug                  enable debug output
           fsname=NAME            set filesystem name in mtab (overrides argv[0])